Request for feedback: WebApp Admin


  • Kopano

    A while ago we started an admin tool to manage WebApp settings/profiles called webapp_admin.
    Occasionally this tool was linked on this forum and some people may already seen and use it before.

    We are looking for more feedback and test users, so we can make improvements and fix potential bugs. Feedback is much appreciated and can be posted here. Request for additional features can also be done here on the forum.

    Supported features so far

    • Backup, restore settings
    • Set categories
    • Set Webapp language
    • Set Free/busy
    • Insert signatures
    • Set Icon set
    • Set Theme
    • Set HTML editor
    • Remove state settings

    Where can I find the tool
    https://stash.kopano.io/projects/KSC/repos/webapp-tools/browse/webapp_admin

    Installation
    Clone the repository, install the dependencies described in the readme and run the tool with python3.
    Example usage can also be find in the readme.



  • Hi,

    on SLES 12 I can’t install python-kopano and python-mapi , I always get this error:

     # /scripts/webapp_admin.py
    python-kopano should be installed on your system
    
    
    # zypper in python-kopano
    ...
    Loading repository data...
    Reading installed packages...
    'python-kopano' not found in package names. Trying capabilities.
    'python2-kopano' providing 'python-kopano' is already installed.
    Resolving package dependencies...
    
    Nothing to do.
    # zypper in python-mapi
    ...
    Loading repository data...
    Reading installed packages...
    'python-mapi' not found in package names. Trying capabilities.
    'python2-mapi' providing 'python-mapi' is already installed.
    Resolving package dependencies...
    
    Nothing to do.
    

    Any ideas where to find this packages?

    Walter


  • Kopano

    Hi,

    You need python3
    (python3-kopano, python3-mapi etc)



  • Marty,

    python3-kopano depends on python3-dateutil, unfortunately there is no installation source for python3-dateutil on SLES 12.

    # zypper in python3-kopano
    ...
    Resolving package dependencies...
    
    Problem: nothing provides python3-dateutil needed by python3-kopano-8.6.9.0-24.1.x86_64
     Solution 1: do not install python3-kopano-8.6.9.0-24.1.x86_64
     Solution 2: break python3-kopano-8.6.9.0-24.1.x86_64 by ignoring some of its dependencies
    
    Choose from above solutions by number or cancel [1/2/c] (c):
    

    Any ideas where to get the SLES 12 package python3-dateutil?

    Walter


  • Kopano

    @WalterHof I forwarded this broken package to the core guys and also found a ticket for this:
    https://jira.kopano.io/browse/KC-1250

    Workaround is in the ticket.



  • a little late reply:

    first off: the scripts are very useful for me!

    Where can we create merge/pull-requests ( or send patches)? I have a minor bug fix for example.
    It would be nice if the KSC project repositories would be mirrorred on github too. Any plans for that?

    kr


  • Kopano

    @hodor27

    Thanks for the feedback.
    The repository will be mirrored to github soon. In the meantime the general the process is:

    • Clone the repository from https://stash.kopano.io/
    • Commit and sign your work (git commit -s).
    • Upload commits to a git store of your choosing, or export the series as a patchset using git format-patch.
    • Send the patch(es) or git link to contributing@kopano.io and we will consider the submission.

Log in to reply